Skip to main content
POST
/
v1
/
ekyc
/
aadhaar
/
verify-otp
Verify Otp
curl --request POST \
  --url https://production.deepvue.tech/v1/ekyc/aadhaar/verify-otp \
  --header 'client-id: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "code": 200,
  "timestamp": 1738243999577,
  "transaction_id": "f6efc218742a405c8dd65cf19c13b878",
  "sub_code": "SUCCESS",
  "message": "Aadhaar eKYC Successful",
  "data": {
    "address": {
      "careOf": "S/O H. Nue Mahammed",
      "country": "India",
      "district": "Bangalore",
      "house": "NO. 6",
      "landmark": "",
      "locality": "MTS LAYOUT J X NAGAR 51TH PHASE",
      "pin": "561118",
      "postOffice": "J P Nagar",
      "state": "Karnataka",
      "street": "19TH MAIN",
      "subDistrict": "",
      "vtc": "Bangalore"
    },
    "dateOfBirth": "28-06-1999",
    "email": "e2afb1d691d72a535b501053e6291abdb51c05cccc7c08b4439ab3e",
    "gender": "M",
    "generatedAt": "1738304139979",
    "maskedNumber": "xxxx-xxxx-8091",
    "name": "Mohammed Nihar",
    "phone": "ad0e19163c4ff90313ce2b1457ea0687fbfbf0f344566e50bed07f60ae064",
    "photo": "<base64_encoded_image>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

client-id
string
header
required

The CLIENT_ID provided to you. This header parameter is required for authentication purposes.

Query Parameters

otp
string
required

OTP received on the registered mobile number, with a validity of 10 minutes.

session_id
string
required

Unique ID assigned by Deepvue when the session was initiated.

Y/N based on whether your customer has given consent for validating their KYC. This is mandatory as per regulations.

purpose
string
required

The purpose of the KYC check, which is mandatory as per regulations.

mobile_number
string

10-digit mobile number to check whether it is the same mobile linked to Aadhaar on which the OTP was sent.

generate_pdf
boolean
default:false

True or False, depending upon whether pdf needs to be generated or not.

Response

Successful Response

code
integer
default:200
timestamp
integer
transaction_id
string
sub_code
string
default:SUCCESS
message
string
default:Aadhaar eKYC Successful
data
Data · object